Bug 862114 - Enhance the HA documentation
Enhance the HA documentation
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 19:27 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 19:34:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-10-01 19:27:09 EDT
(3:47:27 PM) ccrouch: sunny-dee: can you point me at any docs we have around how agents get distributed HA JON servers by default
(4:20:44 PM) sunny-dee: yes, i have a link. hold on...
(4:22:45 PM) sunny-dee: ccrouch: this is what i have on HA in general: https://access.redhat.com/knowledge/docs/en-US/JBoss_Operations_Network/3.1/html/Admin_Configuring_JON_Servers_and_Agents/configuring-high-availability.html
(4:22:52 PM) sunny-dee: i think that's basically it

So looking at the page above, I think there could be clearer documentation around the default behaviour when agents connect to HA servers and no affinity group settings are used. This is the sentence I believe needs unpacking into several paragraphs and possibly some diagrams.

"Agents are handled by servers first based on a preference, or affinity, for a server because they belong to to the same affinity group. After affinity, or if an affinity group isn't configured, then agents are managed by the server in a round-robin style for availability."

I believe that in this situation the agents will become evenly distributed across the servers in the HA setup. Jay can correct me if I'm wrong and elaborate on any corner cases.

Also I believe we should define what we mean by "affinity group" before we use the term in the sentence above.

This BZ came up from talking to some Consultants who had gotten the wrong end of the stick about HA and were trying to use the affinity groups to produce the default behaviour.
Comment 2 Deon Ballard 2013-02-28 19:34:05 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.